UbixOS V2 2.0

Data Structures | Functions
access.h File Reference
`#include <ubixos/ubthread.h>`
Include dependency graph for access.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Data Structures
struct | sys_setGID_args
struct | sys_setUID_args

## Functions
int | sys_getEUID (struct thread *, void *)
int | sys_getGID (struct thread *, void *)
int | sys_getUID (struct thread *, void *)
int | sys_setGID (struct thread *, struct sys_setGID_args *)
int | sys_setUID (struct thread *, struct sys_setUID_args *)

## Function Documentation

## ◆ sys_getEUID()

int sys_getEUID | ( | struct thread * | ,
|  | void * |
| ) |  |

Definition at line 55 of file access.c.

References _current, and taskStruct::uid.

## ◆ sys_getGID()

int sys_getGID | ( | struct thread * | ,
|  | void * |
| ) |  |

Definition at line 59 of file access.c.

References _current, and taskStruct::gid.

## ◆ sys_getUID()

int sys_getUID | ( | struct thread * | ,
|  | void * |
| ) |  |

Definition at line 51 of file access.c.

References _current, and taskStruct::uid.

## ◆ sys_setGID()

int sys_setGID | ( | struct thread * | ,
|  | struct sys_setGID_args * |
| ) |  |

Definition at line 63 of file access.c.

References _current, taskStruct::gid, and sys_setGID_args::gid.

## ◆ sys_setUID()

int sys_setUID | ( | struct thread * | ,
|  | struct sys_setUID_args * |
| ) |  |

Definition at line 43 of file access.c.

References _current, taskStruct::uid, and sys_setUID_args::uid.